Workflows

List workflows

GET
/workflows

List the workflows (automations) of one Space with status, version, trigger kinds, last run and the caller's access.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

space_id*string

Filter or parameter: space_id.

Formatuuid
q?string

Name or summary text

Lengthlength <= 200
status?string

Filter or parameter: status.

Value in

  • "DRAFT"
  • "ACTIVE"
  • "ARCHIVED"
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/workflows?space_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "space_id": "123e4567-e89b-42d3-a456-426614174000",      "name": "Customer documents",      "summary": "Extracts totals and due dates from supplier invoices.",      "status": "ACTIVE",      "enabled": false,      "has_draft": false,      "draft_revision": 0,      "current_version": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "version": 0,        "created_at": "2026-09-04T12:00:00Z"      },      "node_count": 0,      "trigger_kinds": [],      "last_run": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "status": "ACTIVE",        "created_at": "2026-09-04T12:00:00Z"      },      "created_at": "2026-09-04T12:00:00Z",      "updated_at": "2026-09-04T12:00:00Z",      "draft_differs": false,      "access": {        "space_role": "example",        "share_role": "example",        "access_mode": "example",        "is_creator": false,        "can_view": false,        "can_edit": false,        "can_run": false,        "can_publish": false,        "can_share": false,        "can_archive": false,        "can_approve": false      },      "access_mode": "example",      "created_by": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "email": "ada@example.com",        "name": "Customer documents",        "image_url": "example"      },      "share_count": 0    }  ],  "next_cursor": null}